Bug 901503 - Imagemagick included non-free icc profiles.
Imagemagick included non-free icc profiles.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-01-18 05:36 EST by mejiko
Modified: 2016-08-15 17:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 17:33:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 677414 None None None Never

  None (edit)
Description mejiko 2013-01-18 05:36:29 EST
Hello.

ImageMagick included non-free icc profiles.


Files:

ImageMagick-6.7.7-5/config/sRGB.icc


This file is "color.org" icc profiles. (See ImageMagick Changelog details.)

Changelog URI:

http://www.imagemagick.org/script/changelog.php



This file license is "freely redistributable, but not allow modify". (See color.org license datails)

License URI:

http://www.color.org/srgbprofiles.xalter


Its non-free.

Note: Upstream version already fixed.

And, I think that this file is not content or firmware, Its code.


Suggests:

1. Remove non-free icc profile and rebuild.

2. Replace fedora free (Fedora acceptable licensed file) files. (Example: OpenICC)

3. Fix License tag (If this file is "content" or "firmware").

4. Upgrade fixed upstream version.

5. Remove Fedora repos.


Thanks.


Reference:

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Binary_Firmware
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
Comment 1 mejiko 2013-01-18 05:37:11 EST
Blocking FE-Legal, This is license problem.
Comment 2 Pavel Alexeev 2013-02-09 16:01:14 EST
Could you please say in what exact upstream version it fixed? I think if there no ABI breakage we may just update IM in Fedora 18.
Comment 3 mejiko 2013-02-10 04:11:29 EST
This problem fixed version is "6.7.7-6". 

See: http://www.imagemagick.org/script/changelog.php


And, Added Debian BTS (External Trackers), bug number is "677414".
Comment 4 Pavel Alexeev 2013-04-01 17:33:05 EDT
We have 6.7.8-9 now in Rawhide.
Comment 5 Vinu Vasudev 2016-06-14 01:21:00 EDT
hi,
i have a image generation script. In which i convert a combined CMYK image to sRGB png and jpeg. i used the sRGB.icc profile for the conversion process. It all worked well untill i upgrade my imagemagick version. Now the sRGB files are generating like i haven't specified an icc profile. The last working version of imagemagick was 6.7.7-5 2012-07-18. and the one am using now is 6.7.8-9 .
what should i so, now?
Comment 6 Pavel Alexeev 2016-08-15 17:17:06 EDT
On you choose - download that profile and use locally. Or just use another profile for your work which is fully free.

Note You need to log in before you can comment on or make changes to this bug.